<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>Visualização de boleto</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
    <meta name="robots" content="noindex">
    <meta name="format-detection" content="telephone=no" />
    <meta charset="utf-8" />
    <style media="screen, print" type="text/css">
    @import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

        
        body {
            color: #000000;
            background-color: #ffffff;
            margin-top: 0;
            margin-right: 0;
        }

        * { margin: 0px; padding: 0px }
        table { border: 0; border-collapse: collapse; padding: 0 }
        img { border: 0 }

        .cp { font: bold 10px 'Roboto'; color: black }
        .ti { font: 9px 'Roboto' }
        .ld { font: bold 15px 'Roboto'; color: #000000 }
				.linha_digitavel { font: bold 13px 'Roboto'; color: #000000 }
        .cn { font: 9px 'Roboto'; color: black }
        .bc { font: bold 22px 'Roboto'; color: #000000 }
        .cpN { font: bold 10px 'Roboto'; color: black }
        .ctN { font: 9px 'Roboto'; color: #000033 }
        .ct { font: 9px 'Roboto'; color: #000033 }
        .fn { font-weight: normal; font-style: normal; }

        .cut { width: 665px; height: 1px; border-top: dashed 1px #000 }
        .Ac {text-align: center}
        .Ar { text-align: right }
        .Al { text-align: left }
        .At { vertical-align: top }
        .Ab { vertical-align: bottom }
        .ct td,
        .cp td { padding-left: 6px; border-left: solid 1px #000 }
        .pL0 { padding-left: 0px }
        .pL6 { padding-left: 6px }
        .pL10 { padding-left: 10px }
        .imgLogo { width: 150px }
        .itauLogo img { max-width: 50px; max-height: 50px; }
        .whitelabel img { max-width: 150px; max-height: 40px; }
        .barra { width: 2px; height: 15px; background-color: #000; }
        
        .rBb td { border-bottom: solid 1px #000 }
        .BB { border-bottom: solid 1px #000 }
        .BL { border-left: solid 1px #000 }
        .BR { border-right: solid 1px #000 }
        .BT1 { border-top: dashed 1px #000 }
        .BT2 { border-top: solid 2px #000 }
        
        .h1 { height: 1px }
        .h12 { height: 12px }
        .h13 { height: 13px }
        .h40 { min-height: 40px }
        .h13 td { vertical-align: top }
        .h12 td { vertical-align: top }
        
        .w6 { width: 6px }
        .w7 { width: 7px; }
        .w34 { width: 34px }
        .w45 { width: 45px }
        .w50 { width: 50px }
        .w53 { width: 53px }
        .w62 { width: 62px }
        .w65 { width: 65px }
        .w72 { width: 72px }
        .w83 { width: 83px }
        .w88 { width: 88px }
        .w100 { width: 100px }
        .w104 { width: 104px }
        .w105 { width: 105px }
        .w106 { width: 106px }
        .w113 { width: 113px }
        .w112 { width: 112px }
        .w123 { width: 123px }
        .w126 { width: 126px }
        .w128 { width: 128px }
        .w132 { width: 132px }
        .w134 { width: 134px }
        .w150 { width: 150px }
        .w163 { width: 163px }
        .w164 { width: 164px }
        .w180 { width: 180px }
        .w182 { width: 182px }
        .w186 { width: 186px }
        .w192 { width: 192px }
        .w250 { width: 250px }
        .w298 { width: 298px }
        .w409 { width: 409px }
        .w472 { width: 472px }
        .w478 { width: 478px }
        .w500 { width: 500px }
        .w544 { width: 544px }
        .w564 { width: 564px }
        .w659 { width: 659px }
        .w666 { width: 666px }
        .w667 { width: 667px }

        .pb { padding-bottom: 2px }
        .pb4 { padding-bottom: 14px; }

        .BHead td { border-bottom: solid 2px #000 }

        .EcdBar {
            height: 50px;
            vertical-align: bottom
        }

        .rc6 td {
            vertical-align: top;
            border-bottom: solid 1px #000;
            border-left: solid 1px #000
        }
        .rc6 .t { font: 9px 'Roboto'; color: #000033; height: 13px }
        .rc6 .c { font: bold 10px 'Roboto'; color: black; height: 12px }
        .rc6 div { padding-left: 6px }

        .mt23 { margin-top: 23px; }


        .ebc {
            width: 4px;
            height: 440px;
            border-right: dotted 1px #000000;
            margin-right: 4px;
        }

        <% if (barcode_render_engine=='bmp') {
            %>.barcode {
                background-image: url(data:image/bmp;base64,<%= barcode_data %>);
                background-repeat: repeat-y;
                height: <%=barcode_height %>px;
            }

            <%
        }

        else if (barcode_render_engine=='img') {
            %>.barcode {
                height: <%=barcode_height %>px;
            }

            .barcode-line {
                height: inherit;
                display: inline-block;
                float: left;
            }

            <%
        }

        %>@media print {
            * {
                -webkit-print-color-adjust: exact;
            }

            .no-print,
            .no-print * {
                display: none !important;
            }
        }
    </style>
</head>

<body>
    <div>
        <table class="w666" cellspacing="6">
            <tr>
                <td rowspan="2" width="150" class="whitelabel Al"><% if(boleto['url_logo_whitelabel']) { %><img src="<%=boleto['url_logo_whitelabel'] %>" /></td><% } %>
                <td class="Ac w34"> &nbsp; </td>
                <td class="At Al bc"> Boleto Itaú</td>
            </tr>
            <tr>
                <td class="Ac w34 bc"> &nbsp; </td>
                <td class="At Al ld">
                    <%= boleto['descricao_cabecalho'] ? boleto['descricao_cabecalho'] : '' %>
                </td>
            </tr>
        </table><br />
        <table class="w666">
            <tr>
                <td class="ctN cut" />
            </tr>
            <tr>
                <td class="cpN Ar">Recibo do Pagador</td>
            </tr>
        </table><br />
        <table class="w666">
            <tr class="BHead">
                <td class="itauLogo Al Ab pb"><img src="<%= logoURL %>" /></td>
                <td class="Al Ab ld w126 pb">Banco Itaú S.A</td>
                <td class="barra"></td>
                <td class="w53 Ab ld Ac pb">
                    <%= boleto['codigo_banco'] %>
                </td>
                <td class="barra"></td>
                <td class="w500 Ac Ab linha_digitavel pb" id="linha-digitavel-1">
                    <%= boleto['linha_digitavel'] %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ct h13 At">
                <td class="w298">Beneficiário</td>
                <td class="w126">Agência / Código do Beneficiário</td>
                <td class="w34">Espécie</td>
                <td class="w50">Quantidade</td>
                <td class="w123">Carteira / Nosso número</td>
            </tr>
            <tr class="cp h12 At rBb">
                <td>
                    <div>
                        <%- (boleto['nome_sacador_avalista'] ? boleto['nome_sacador_avalista'] +'<br />'+'<br />' : '') %>
                    </div>
                    <div class=<%=boleto['nome_sacador_avalista'] ? "fn" : ""%>>
                        <%- boleto['cedente'] + '<br />' + 'CNPJ: ' + formatCNPJ(boleto['cedente_cnpj']) %>
                    </div>
                </td>
                <td>
                    <%= boleto['agencia'] %>/<%= boleto['codigo_cedente'] %>
                </td>
                <td>R$</td>
                <td></td>
                <td class="Ar">
                    <%= addTrailingZeros(boleto['nosso_numero'], 12) %>-<%= boleto['nosso_numero_dv'] %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ct h13">
                <td class="w192">Número do documento</td>
                <td class="w132">CPF/CNPJ</td>
                <td class="w134">Vencimento</td>
                <td class="w180">Valor documento</td>
            </tr>
            <tr class="cp h12 rBb">
                <td>
                    <%= addTrailingZeros(boleto['numero_documento'], 9) %>
                </td>
                <td>
                    <%= boleto['cedente_cnpj'] %>
                </td>
                <td>
                    <%= formatDate(boleto['data_vencimento']) %>
                </td>
                <td class="Ar">
                    <%= formatAmount(boleto['valor']) %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ct h13">
                <td class="w113">(-) Desconto / Abatimentos</td>
                <td class="w112">(-) Outras deduções</td>
                <td class="w113">(+) Mora / Multa</td>
                <td class="w113">(+) Outros acréscimos</td>
                <td class="w180">(=) Valor cobrado</td>
            </tr>
            <tr class="cp h12 rBb Ab">
                <td>
                    <%= formatAmount(boleto['desconto_abatimento'] || '' ) %>
                </td>
                <td></td>
                <td>
                    <%= formatAmount(boleto['juros_multa'] || '' ) %>
                </td>
                <td></td>
                <td class="Ar">&nbsp;<%= formatAmount(boleto['valor']) || '' %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ct h13">
                <td class="w659">Pagador</td>
            </tr>
            <tr class="cp h12">
                <td>
                    <%- ((boleto['pagador_nome'] ? boleto['pagador_nome']+' - ' : '') +
                    (boleto['pagador_documento'] ? 'CNPJ/CPF: ' +boleto['pagador_documento']+'<br />' : '') +
                    (boleto['pagador_logradouro_numero'] ? boleto['pagador_logradouro_numero']+'<br />' : '') +
                    (boleto['pagador_cidade_estado_cep'] ? boleto['pagador_cidade_estado_cep'] : '')) %>
                </td>
            </tr>
            <tr class="cp h12 rBb">
                <td></td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ctN h13">
                <td class="pL6">Instruções</td>
                <td class="w180 Ar">Autenticação mecânica</td>
            </tr>
            <tr class="cpN h12">
                <td class="pL6">
                    <%- boleto['instrucoes'] || '' %>
                </td>
                <td class="pL6 Ar"></td>
            </tr>
        </table>
        <table class="ctN w666">
            <tr class="h13">
                <td />
            </tr>
            <tr class="h13">
                <td />
            </tr>
            <tr>
                <td class="Ar">Corte na linha pontilhada</td>
            </tr>
            <tr>
                <td class="cut" />
            </tr>
            <tr class="h13">
                <td />
            </tr>
            <tr class="h13">
                <td />
            </tr>
        </table>
        <table class="w666">
            <tr class="BHead">
                <td class="itauLogo Al Ab pb"><img src="<%= logoURL %>" /></td>
                <td class="Al Ab ld w126 pb">Banco Itaú S.A</td>
                <td class="barra"></td>
                <td class="w53 Ab ld Ac pb">
                    <%= boleto['codigo_banco'] %>
                </td>
                <td class="barra"></td>
                <td class="w500 Ac Ab linha_digitavel pb" id="linha-digitavel-2">
                    <%= boleto['linha_digitavel'] %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ct h13">
                <td class="w472">Local de pagamento</td>
                <td class="w180">Vencimento</td>
            </tr>
            <tr class="cp h12 rBb">
                <td>
                    <%= boleto['local_de_pagamento'] %>
                </td>
                <td class="Ar">
                    <%= formatDate(boleto['data_vencimento']) %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ct h13">
                <td class="w472">Beneficiário</td>
                <td class="w180">Agência / Código beneficiário</td>
            </tr>
            <tr class="cp h12 rBb">
                <td>
                    <div>
                        <%- (boleto['nome_sacador_avalista'] ? boleto['nome_sacador_avalista'] +'<br />'+'<br />' : '') %>
                    </div>
                    <div class=<%=boleto['nome_sacador_avalista'] ? "fn" : ""%>>
                        <%- boleto['cedente'] + '<br />' + 'CNPJ: ' + formatCNPJ(boleto['cedente_cnpj']) %>
                    </div>
                </td>
                <td class="Ar">
                    <%= boleto['agencia'] %>/<%= boleto['codigo_cedente'] %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ct h13">
                <td class="w113">Data do documento</td>
                <td class="w163">N<u>o</u> documento</td>
                <td class="w62">Espécie doc.</td>
                <td class="w34">Aceite</td>
                <td class="w72">Data processamento</td>
                <td class="w180">Carteira / Nosso número</td>
            </tr>
            <tr class="cp h12 rBb">
                <td>
                    <%= formatDate(boleto['data_emissao']) %>
                </td>
                <td>
                    <%= addTrailingZeros(boleto['numero_documento'], 9) %>
                </td>
                <td>DM</td>
                <td>N</td>
                <td>
                    <%= formatDate(boleto['data_emissao']) %>
                </td>
                <td class="Ar">
                    <%= addTrailingZeros(boleto['nosso_numero'], 12) %>-<%= boleto['nosso_numero_dv'] %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="ct h13">
                <td class="w113">Uso do banco</td>
                <td class="w83">Carteira</td>
                <td class="w53">Espécie</td>
                <td class="w123">Quantidade</td>
                <td class="w72">(x) Valor</td>
                <td class="w180">(=) Valor documento</td>
            </tr>
            <tr class="cp h12 rBb">
                <td>&nbsp;</td>
                <td class="Al">
                    <%= boleto['carteira'] %>
                </td>
                <td class="Al">R$</td>
                <td></td>
                <td></td>
                <td class="Ar">
                    <%= formatAmount(boleto['valor']) %>
                </td>
            </tr>
        </table>
        <table class="w666">
            <tr class="rc6">
                <td class="w478">
                    <div class="ctN pL10">Instruções (Texto de responsabilidade do beneficiário)</div>
                    <div class="cpN pL10">
                        <%-((boleto['instrucoes'] ? boleto['instrucoes']+'<br />':'') +
                        (boleto['juros_multa'] ? '<br />Juros/Multa: '+formatAmount(boleto['juros_multa']):'') +
                        (boleto['desconto_abatimento'] ?
                        '<br />'+'Desconto/Abatimento:'+formatAmount(boleto['juros_multa']):''))
                        %>
                    </div>
                </td>
                <td class="w186">
                    <div class="t">(-) Desconto / Abatimentos</div>
                    <div class="c BB"></div>
                    <div class="t">(-) Outras deduções</div>
                    <div class="c BB"></div>
                    <div class="t">(+) Mora / Multa</div>
                    <div class="c BB"></div>
                    <div class="t">(+) Outros acréscimos</div>
                    <div class="c BB"></div>
                    <div class="t">(=) Valor cobrado</div>
                    <div class="c"></div>
                </td>
            </tr>
            <tr>
                <td class="BL">
                    <div class="ctN pL10">Pagador</div>
                    <div class="cpN pL10"><%- ((boleto['pagador_nome'] ? boleto['pagador_nome']+' - ' : '') +
                        (boleto['pagador_documento'] ? 'CNPJ/CPF: ' +boleto['pagador_documento']+'<br />' : '') +
                        (boleto['pagador_logradouro_numero'] ? boleto['pagador_logradouro_numero']+'<br />' : '') +
                        (boleto['pagador_cidade_estado_cep'] ? boleto['pagador_cidade_estado_cep'] : '')) %>
                    </div>
                    <div></div>
                </td>
                <td class="BL Ab">
                    <div class="cpN"></div>
                </td>
            </tr>
            <tr class="h12 rBb BL">
                <td></td>
                <td class="BL Ab">
                    <div class="ctN pL6">Cód. baixa</div>
                </td>
            </tr>
        </table>
        <table class="w666 ctN">
            <tr>
                <td class="pL6  w409">Sacador / Avalista :
                    <b class="cpN">
                        <%- ((boleto['nome_sacador_avalista'] ? boleto['nome_sacador_avalista'] + ' - ' : '' ) +
                            (boleto['cpf_cnpj_sacador_avalista'] ? 'CPF/CNPJ : ' +boleto['cpf_cnpj_sacador_avalista']
                            : '' )) %>
                    </b>
                </td>
                <td class="w250 Ar">Autenticação mecânica - <b class="cpN">Ficha de Compensação</b></td>
            </tr>
            <tr class="h13">
                <td colspan="3" />
            </tr>
        </table>
        <table class="w666">
            <tr>
                <td class="EcdBar Al pL10">
                    <% if (barcode_render_engine=='bmp' ) { %>
                        <div class="barcode" />
                        <% } else if (barcode_render_engine=='img' ) { %>
                            <div class="barcode">
                                <% var black=true; %>

                                    <% for(var i=0; i < barcode_data.length; i++) { %>
                                        <% var pixelsToDraw=(barcode_data[i]=="0" ) ? 1 : 3; %>
                                            <img class="barcode-line"
                                                src="https://assets.pagar.me/boleto/images/<%= black ? 'b' : 'w' %>.png"
                                                height="<%= barcode_height %>px" width="<%= pixelsToDraw %>px;"
                                                border=0 />
                                            <% black=!black; %>
                                                <% } %>
                            </div>
                            <% } %>
                </td>
            </tr>
        </table>
        <table class="ctN w666">
            <tr class="h13">
                <td />
            </tr>
            <tr>
                <td class="Ar">Corte na linha pontilhada</td>
            </tr>
            <tr>
                <td class="cut" />
            </tr>
        </table>
        <table class="ctN w666">
            <tr class="h13">
                <td />
            </tr>
            <tr class="h13">
                <td />
            </tr>
            <tr class="h13">
                <td />
            </tr>
            <tr class="h13">
                <td />
            </tr>
            <tr class="h13">
                <td />
            </tr>
            <tr class="h13">
                <td />
            </tr>
        </table>
    </div>
    <script>
        (function () {
            var onLoadDocumentElement
            var onLoadDocumentCopy

            onDOMReady(function () {
                onLoadDocumentCopy = document.body.children[0].outerHTML
                onLoadDocumentElement = hashString(onLoadDocumentCopy);

                onDOMChange(function () {
                    document.body.innerHTML = onLoadDocumentCopy;
                })
            })

            function onDOMReady(callback) {
                if (document.readyState === 'complete') return callback();

                setTimeout(function () {
                    onDOMReady(callback);
                }, 5);
            }

            function onDOMChange(callback) {
                var childContent = document.body.children[0];

                if (childContent) {
                    var currentDocumentElement = hashString(childContent.outerHTML);

                    if (onLoadDocumentElement !== currentDocumentElement) {
                        callback();
                    }
                } else {
                    callback();
                }

                setTimeout(function () {
                    onDOMChange(callback);
                }, 150);
            }

            function hashString(value) {
                var hash = 0;

                if (value.length === 0) return hash;

                for (i = 0; i < value.length; i++) {
                    char = value.charCodeAt(i);
                    hash = ((hash << 5) - hash) + char;
                    hash = hash & hash // Convert to 32bit integer
                }

                return hash;
            }
        })()
    </script>
</body>

</html>